BooleEnv.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <polybori/BoolePolyRing.h>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | polybori::BooleEnv
| This class is just a wrapper accessing global structures. More...

## Namespaces

| polybori

## Functions

BooleEnv::block_iterator | polybori::block_begin (const BooleEnv::ring_type &ring)
| please use BooleEnv::ring() More...
BooleEnv::block_iterator | polybori::block_end (const BooleEnv::ring_type &ring)
| Extract block data without exposing ordering stuff. More...

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-03-06

This file the class BooleEnv, where handles global (static) strucutres of PolyBoRi.

Copyright:
  (c) 2007 by The PolyBoRi Team